Loading...
Searching...
No Matches
uhd::usrp::cal::iq_cal Class Referenceabstract

`#include <uhd/cal/iq_cal.hpp>`

Inheritance diagram for uhd::usrp::cal::iq_cal:
[legend]
Collaboration diagram for uhd::usrp::cal::iq_cal:
[legend]

## Public Types

using | sptr = std::shared_ptr<iq_cal>

## Public Member Functions

virtual void | set_interp_mode (const uhd::math::interp_mode interp)=0
| Choose interpolation mode.
virtual std::complex< double > | get_cal_coeff (const double freq) const =0
| Return a calibration coefficient for a given frequency.
virtual void | set_cal_coeff (const double freq, const std::complex< double > coeff, const double suppression_abs=0, const double suppression_delta=0)=0
| Update / set a calbration coefficient.
virtual void | clear ()=0
| Clear the list of coefficients.
Public Member Functions inherited from uhd::usrp::cal::container
virtual | ~container ()=default
virtual std::string | get_name () const =0
| Return the name of this calibration table.
virtual std::string | get_serial () const =0
| Return the device serial of this calibration table.
virtual uint64_t | get_timestamp () const =0
| Timestamp of acquisition time.
virtual std::vector< uint8_t > | serialize ()=0
| Return a serialized version of this container.
virtual void | deserialize (const std::vector< uint8_t > &data)=0
| Populate this class from the serialized data.

## Static Public Member Functions

static sptr | make (const std::string &name, const std::string &serial, const uint64_t timestamp)
| Factory for new cal data sets.
static sptr | make ()
| Default factory.
Static Public Member Functions inherited from uhd::usrp::cal::container
template<typename container_type>
static std::shared_ptr< container_type > | make (const std::vector< uint8_t > &data)
| Generic factory for cal data from serialized data.

## Detailed Description

Class that stores IQ cal data per frequency

The following calibrations use this:

- Gen-2 and Gen-3 TX DC Offset
- Gen-2 and Gen-3 RX,TX IQ Imbalance

## Member Typedef Documentation

## sptr

using uhd::usrp::cal::iq_cal::sptr = std::shared_ptr<iq_cal>

## Member Function Documentation

## clear()

virtual void uhd::usrp::cal::iq_cal::clear | ( |  | ) |

pure virtual

Clear the list of coefficients.

## get_cal_coeff()

virtual std::complex< double > uhd::usrp::cal::iq_cal::get_cal_coeff | ( | const double | freq | ) | const

pure virtual

Return a calibration coefficient for a given frequency.

## make() [1/2]

sptr uhd::usrp::cal::iq_cal::make | ( |  | ) |

static

Default factory.

## make() [2/2]

sptr uhd::usrp::cal::iq_cal::make | ( | const std::string & | name,
|  | const std::string & | serial,
|  | const uint64_t | timestamp )

static

Factory for new cal data sets.

## set_cal_coeff()

virtual void uhd::usrp::cal::iq_cal::set_cal_coeff | ( | const double | freq,
|  | const std::complex< double > | coeff,
|  | const double | suppression_abs = 0,
|  | const double | suppression_delta = 0 )

pure virtual

Update / set a calbration coefficient.

## set_interp_mode()

virtual void uhd::usrp::cal::iq_cal::set_interp_mode | ( | const uhd::math::interp_mode | interp | ) |

pure virtual

Choose interpolation mode.

The documentation for this class was generated from the following file:

- iq_cal.hpp